io.vertx.rxjava.ext.web.handler.sockjs

## Class BridgeEvent

- java.lang.Object
- - io.vertx.rxjava.core.Future<Boolean>
  - - io.vertx.rxjava.ext.web.handler.sockjs.BridgeEvent

-     public class BridgeEvent
      extends Future<Boolean>

  Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<BridgeEvent>` | `__TYPE_ARG`

    - ### Fields inherited from class io.vertx.rxjava.core.Future

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeEvent(BridgeEvent delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Boolean arg0)` Set the result.
    `Handler<AsyncResult<Boolean>>` | `completer()`
    `<U> Future<U>` | `compose(java.util.function.Function<Boolean,Future<U>> mapper)` Compose this future with a `mapper` function.
    `<U> Future<U>` | `compose(Handler<Boolean> handler, Future<U> next)` Compose this future with a provided `next` future.
    `BridgeEvent` | `getDelegate()`
    `JsonObject` | `getRawMessage()` Get the raw JSON message for the event.
    `<U> Future<U>` | `map(java.util.function.Function<Boolean,U> mapper)` Apply a `mapper` function on this future.
    `static BridgeEvent` | `newInstance(BridgeEvent arg)`
    `Future<Boolean>` | `otherwise(Boolean value)` Map the failure of a future to a specific `value`.
    `Future<Boolean>` | `otherwise(java.util.function.Function<Throwable,Boolean> mapper)` Apply a `mapper` function on this future.
    `Future<Boolean>` | `otherwiseEmpty()` Map the failure of a future to `null`.
    `JsonObject` | `rawMessage()` Use `getRawMessage()` instead, will be removed in 3.3
    `Future<Boolean>` | `recover(java.util.function.Function<Throwable,Future<Boolean>> mapper)` Handles a failure of this Future by returning the result of another Future.
    `Boolean` | `result()` The result of the operation.
    `rx.Single<Boolean>` | `rxSetHandler()` Set a handler for the result.
    `Future<Boolean>` | `setHandler(Handler<AsyncResult<Boolean>> arg0)` Set a handler for the result.
    `rx.Observable<Boolean>` | `setHandlerObservable()` Deprecated.
    `BridgeEvent` | `setRawMessage(JsonObject message)` Get the raw JSON message for the event.
    `SockJSSocket` | `socket()` Get the SockJSSocket instance corresponding to the event
    `boolean` | `tryComplete(Boolean arg0)` Set the failure.
    `BridgeEventType` | `type()`

    - ### Methods inherited from class io.vertx.rxjava.core.Future

      `cause, complete, fail, fail, failed, failedFuture, failedFuture, future, future, isComplete, map, mapEmpty, newInstance, newInstance, succeeded, succeededFuture, succeededFuture, tryComplete, tryFail, tryFail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<BridgeEvent> __TYPE_ARG

  - ### Constructor Detail

    - #### BridgeEvent

          public BridgeEvent(BridgeEvent delegate)

  - ### Method Detail

    - #### getDelegate

          public BridgeEvent getDelegate()

      Overrides:
        `getDelegate` in class `Future<Boolean>`

    - #### setHandler

          public Future<Boolean> setHandler(Handler<AsyncResult<Boolean>> arg0)

      Description copied from class: `Future`
      Set a handler for the result.

      If the future has already been completed it will be called immediately. Otherwise it will be called when the future is completed.

      Overrides:
        `setHandler` in class `Future<Boolean>`
      Parameters:
        `arg0` - the Handler that will be called with the result
      Returns:
        a reference to this, so it can be used fluently

    - #### setHandlerObservable

          @Deprecated
          public rx.Observable<Boolean> setHandlerObservable()

      Deprecated.
      Description copied from class: `Future`
      Set a handler for the result.

      If the future has already been completed it will be called immediately. Otherwise it will be called when the future is completed.

      Overrides:
        `setHandlerObservable` in class `Future<Boolean>`
      Returns:

    - #### rxSetHandler

          public rx.Single<Boolean> rxSetHandler()

      Description copied from class: `Future`
      Set a handler for the result.

      If the future has already been completed it will be called immediately. Otherwise it will be called when the future is completed.

      Overrides:
        `rxSetHandler` in class `Future<Boolean>`
      Returns:

    - #### complete

          public void complete(Boolean arg0)

      Description copied from class: `Future`
      Set the result. Any handler will be called, if there is one, and the future will be marked as completed.
      Overrides:
        `complete` in class `Future<Boolean>`
      Parameters:
        `arg0` - the result

    - #### tryComplete

          public boolean tryComplete(Boolean arg0)

      Description copied from class: `Future`
      Set the failure. Any handler will be called, if there is one, and the future will be marked as completed.
      Overrides:
        `tryComplete` in class `Future<Boolean>`
      Parameters:
        `arg0` - the result
      Returns:
        false when the future is already completed

    - #### result

          public Boolean result()

      Description copied from class: `Future`
      The result of the operation. This will be null if the operation failed.
      Overrides:
        `result` in class `Future<Boolean>`
      Returns:
        the result or null if the operation failed.

    - #### compose

          public <U> Future<U> compose(Handler<Boolean> handler,
                                       Future<U> next)

      Description copied from class: `Future`
      Compose this future with a provided `next` future.

      When this (the one on which `compose` is called) future succeeds, the `handler` will be called with the completed value, this handler should complete the next future.

      If the `handler` throws an exception, the returned future will be failed with this exception.

      When this future fails, the failure will be propagated to the `next` future and the `handler` will not be called.

      Overrides:
        `compose` in class `Future<Boolean>`
      Parameters:
        `handler` - the handler
        `next` - the next future
      Returns:
        the next future, used for chaining

    - #### compose

          public <U> Future<U> compose(java.util.function.Function<Boolean,Future<U>> mapper)

      Description copied from class: `Future`
      Compose this future with a `mapper` function.

      When this future (the one on which `compose` is called) succeeds, the `mapper` will be called with the completed value and this mapper returns another future object. This returned future completion will complete the future returned by this method call.

      If the `mapper` throws an exception, the returned future will be failed with this exception.

      When this future fails, the failure will be propagated to the returned future and the `mapper` will not be called.

      Overrides:
        `compose` in class `Future<Boolean>`
      Parameters:
        `mapper` - the mapper function
      Returns:
        the composed future

    - #### map

          public <U> Future<U> map(java.util.function.Function<Boolean,U> mapper)

      Description copied from class: `Future`
      Apply a `mapper` function on this future.

      When this future succeeds, the `mapper` will be called with the completed value and this mapper returns a value. This value will complete the future returned by this method call.

      If the `mapper` throws an exception, the returned future will be failed with this exception.

      When this future fails, the failure will be propagated to the returned future and the `mapper` will not be called.

      Overrides:
        `map` in class `Future<Boolean>`
      Parameters:
        `mapper` - the mapper function
      Returns:
        the mapped future

    - #### completer

          public Handler<AsyncResult<Boolean>> completer()

      Overrides:
        `completer` in class `Future<Boolean>`
      Returns:
        an handler completing this future

    - #### recover

          public Future<Boolean> recover(java.util.function.Function<Throwable,Future<Boolean>> mapper)

      Description copied from class: `Future`
      Handles a failure of this Future by returning the result of another Future. If the mapper fails, then the returned future will be failed with this failure.
      Overrides:
        `recover` in class `Future<Boolean>`
      Parameters:
        `mapper` - A function which takes the exception of a failure and returns a new future.
      Returns:
        A recovered future

    - #### otherwise

          public Future<Boolean> otherwise(java.util.function.Function<Throwable,Boolean> mapper)

      Description copied from class: `Future`
      Apply a `mapper` function on this future.

      When this future fails, the `mapper` will be called with the completed value and this mapper returns a value. This value will complete the future returned by this method call.

      If the `mapper` throws an exception, the returned future will be failed with this exception.

      When this future succeeds, the result will be propagated to the returned future and the `mapper` will not be called.

      Overrides:
        `otherwise` in class `Future<Boolean>`
      Parameters:
        `mapper` - the mapper function
      Returns:
        the mapped future

    - #### otherwise

          public Future<Boolean> otherwise(Boolean value)

      Description copied from class: `Future`
      Map the failure of a future to a specific `value`.

      When this future fails, this `value` will complete the future returned by this method call.

      When this future succeeds, the result will be propagated to the returned future.

      Overrides:
        `otherwise` in class `Future<Boolean>`
      Parameters:
        `value` - the value that eventually completes the mapped future
      Returns:
        the mapped future

    - #### otherwiseEmpty

          public Future<Boolean> otherwiseEmpty()

      Description copied from class: `Future`
      Map the failure of a future to `null`.

      This is a convenience for `future.otherwise((T) null)`.

      When this future fails, the `null` value will complete the future returned by this method call.

      When this future succeeds, the result will be propagated to the returned future.

      Overrides:
        `otherwiseEmpty` in class `Future<Boolean>`
      Returns:
        the mapped future

    - #### type

          public BridgeEventType type()

      Returns:
        the type of the event

    - #### rawMessage

          public JsonObject rawMessage()

      Use `getRawMessage()` instead, will be removed in 3.3
      Returns:

    - #### getRawMessage

          public JsonObject getRawMessage()

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved. If the returned message is modified, `setRawMessage(io.vertx.core.json.JsonObject)` should be called with the new message.
      Returns:
        the raw JSON message for the event

    - #### setRawMessage

          public BridgeEvent setRawMessage(JsonObject message)

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved.
      Parameters:
        `message` - the raw message
      Returns:
        this reference, so it can be used fluently

    - #### socket

          public SockJSSocket socket()

      Get the SockJSSocket instance corresponding to the event
      Returns:
        the SockJSSocket instance

    - #### newInstance

          public static BridgeEvent newInstance(BridgeEvent arg)

Copyright © 2017. All rights reserved.